| Home | Libraries | People | FAQ | More

###### http::basic_fields::at (2 of 2 overloads)

Returns the value for a field, or throws an exception.

###### Synopsis

    string_view const
    at(
        string_view name) const;

###### Description

If more than one field with the specified name exists, the first field defined by insertion order is returned.

###### Parameters

Name | Description
--- | ---
`name` | The name of the field. It is interpreted as a case-insensitive string.

###### Return Value

The field value.

###### Exceptions

Type | Thrown On
--- | ---
`std::out_of_range` | if the field is not found.